%global realname riak_search
%global upstream basho
#
# This package contains only arch-independent data but install it into
# arch-dependent directory thus making this package arch-dependent. In order to
# suppress empty *-debuginfo generation we have to explicitly order
# debuginfo-generator to skip trying to build *-debuiginfo for that package.
#
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	2.1.1
Release:	1%{?dist}
Summary:	Full-text search engine based on Riak
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-riak_search-0001-Split-off-lucene_parser.patch
Patch2:		erlang-riak_search-0002-Deprecated-BIF-erlang-now-0.patch
Patch3:		erlang-riak_search-0003-Call-to-deprecated-crypto-sha-1.patch
Patch4:		erlang-riak_search-0004-Fix-UTF-8-in-tests.patch
Patch5:		erlang-riak_search-0005-Guard-eunit-include-with-ifdefs.patch
BuildRequires:	erlang-lager
BuildRequires:	erlang-lucene_parser
BuildRequires:	erlang-merge_index >= 2.1
BuildRequires:	erlang-rebar
BuildRequires:	erlang-riak_kv >= 2.1.0
# Error:erlang(basho_bench_config:get/1)
# Error:erlang(basho_bench_config:get/2)


%description
The riak_search OTP application provides Riak with the capability to act as a
text search engine similar to Apache’s Lucene. Previously Riak Search was a
release in it’s own right. Since then Basho has decided it would be easier for
our users if Search was simply a set of functionality that can be enabled via a
config option. For that reason, if you want to use Search you’ll have to build
a Riak release and enable it.


%prep
%setup -q -n %{realname}-%{version}
%patch1 -p1 -b .split_off_lucene_parser
%patch2 -p1 -b .deprecated_now
%patch3 -p1 -b .deprecated_crypto_sha
%patch4 -p1 -b .utf8
%patch5 -p1 -b .no_eunit


%build
%{erlang_compile}


%install
%{erlang_install}
install -D -p -m 0644 priv/default.def %{buildroot}%{erlang_appdir}/priv/default.def


%check
%{erlang_test}


%files
%license LICENSE
%doc doc/ releasenotes/ README.org THANKS
%{erlang_appdir}/


%changelog
* Mon May 16 2016 Peter Lemenkov <lemenkov@gmail.com> - 2.1.1-1
- Ver. 2.1.1

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 06 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.2-1
- Ver. 1.3.2

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 24 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.1-1
- Ver. 1.3.1

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2.p2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 18 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1.p2
- Ver. 1.2.1p2

* Sun Jul 29 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.4-1
- Ver. 1.1.4 (fully API compatible with 1.1.2)
- Removed sed invocation
- Consistently use macros

* Thu May 17 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.2-1
- Initial package

